Bug 1249347 - SELinux is preventing systemd-localed from 'read' accesses on the file /memfd:sd-system-systemd-localed (deleted).
SELinux is preventing systemd-localed from 'read' accesses on the file /memfd...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e662edb9fbd87b3dd21d946e689...
:
Depends On:
Blocks: 1254238
  Show dependency treegraph
 
Reported: 2015-08-01 17:30 EDT by Igor Gnatenko
Modified: 2016-07-07 05:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-08-01 17:30:42 EDT
Description of problem:
kdbus=1
SELinux is preventing systemd-localed from 'read' accesses on the file /memfd:sd-system-systemd-localed (deleted).

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/memfd:sd-system-systemd-localed (deleted) default label should be etc_runtime_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /memfd:sd-system-systemd-localed (deleted)

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that systemd-localed should be allowed read access on the memfd:sd-system-systemd-localed (deleted) file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-localed /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_localed_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /memfd:sd-system-systemd-localed (deleted) [ file
                              ]
Source                        systemd-localed
Source Path                   systemd-localed
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-138.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-0.rc4.git4.1.fc24.x86_64 #1
                              SMP Fri Jul 31 16:32:22 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-01 23:12:42 MSK
Last Seen                     2015-08-01 23:12:42 MSK
Local ID                      4ae0ab35-dcd3-4aac-8002-02ab3157a7c3

Raw Audit Messages
type=AVC msg=audit(1438459962.315:3170871): avc:  denied  { read } for  pid=22674 comm="systemd-localed" path=2F6D656D66643A73642D73797374656D2D73797374656D642D6C6F63616C6564202864656C6574656429 dev="tmpfs" ino=3690496 scontext=system_u:system_r:systemd_localed_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=1


Hash: systemd-localed,systemd_localed_t,tmpfs_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-138.fc24.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-0.rc4.git4.1.fc24.x86_64
type:           libreport
Comment 1 Jan Kurik 2016-02-24 08:31:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Igor Gnatenko 2016-07-07 05:31:33 EDT
kdbus issue.

Note You need to log in before you can comment on or make changes to this bug.